{ stdenv, lib }:

stdenv.mkDerivation rec {
  pname = "Anime4k";
  version = "4.0.0-RC";

  src = builtins.fetchGit {
    url = "https://github.com/bloc97/Anime4K.git";
    ref = "cb56502ed429a5a3e48ed62c5245d6445a209c7c";
  };

  installPhase = ''
    find ./glsl/ -type f -iname '*.glsl' -exec install -Dm 644 {} -t $out/usr/share/shaders/ \;
  '';
  
  meta = with lib; {
    description = "A High-Quality Real Time Upscaler for Anime Video ";
    homepage = "A High-Quality Real Time Upscaler for Anime Video ";
    license = licenses.mit;
    maintainers = [ ];
    platforms = platforms.linux;
  };
}
